Subject: Flexforms - Translating with inline relations doesn't work
Description

If you are using a flexform with a field for inline relations and try to copy the contente lement by using "Copy default content elements”
the related records in the inline fields will be copied instead of localized.

This leads to the issue the inline records in the translated content element does show up (as copies) but aren't but will not be rendered
if you are using language mode 'strict'.

The behavior for translations will be completely ignored:

<behaviour type="array">
<localizationMode>select</localizationMode>
<localizeChildrenAtParentLocalization>1</localizeChildrenAtParentLocalization>
</behaviour>

Side node:
| think powermail for example is using kind a work around since there you have to select a "form record" first and the whole behavior
works in the context of TCA itself.

Same goes for news extension for example.

Second side node:
https://forge.typo3.org/issues/58306 is a similar issue (same area). The patch there seems to break mine - But | will try to test this as

well.

Related issues:
related to Core - Bug # 58306: Copy bug with inline records in flexforms New 2014-04-29

History

#1 - 2014-10-30 14:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33618

#2 - 2014-10-30 14:18 - Daniel Alder

This leads to another bug in IRRE (I will add it as an issue if this gets applied):
https://forge.typo3.org/issues/58306
http://review.typo3.org/33618

When deleting a flexform content element with related records, the will not be deleted.

So "recopying" the element will end up with the exception "Localization failed; There already was a localization for this language of the record!"

#3 - 2015-04-24 20:38 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/33618
